--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the socket's file descriptor for this connection.
full_name: PGconn#socket
is_singleton: false
name: socket
params: |
  conn.socket() -> Fixnum

visibility: public
